<?php
if( !defined('ISDVBBS') ){
	header('HTTP/1.0 404 Not Found');
	exit;
}
include "header.php";?>
<div id="nav_top">
<table width="100%" style="border:none;" border="0" cellspacing="0" cellpadding="0">
<tr><td colspan="3" height="5"></td></tr>
<tr width="100%">
<td id="user_right_td">
<!---##########################右边样式部分##########################--->
<form action="mymodify.php?t=1&action=update_pwd&username=<?=$user_id?>" method=POST name="theForm">
<div id="user_right" style="border:none;">
	<div id="tabtitle">
		<div id="topicbodyuser">
		<span>
			<div class="user_nav_topic">
<!--<?php
if( $GLOBALS['action'] != 'delet' ):
	print <<<EOT
-->
<table width="96%" border="0" cellspacing="0" cellpadding="0">
<tr id="user_nav">
<td width="70%" class=tablebody2><B>{$lang['tpl.fav.str2']}</B></td>
<td width="20%" class=tablebody2><B>{$lang['tpl.fav.str3']}</B></td>
<td width="10%" class=tablebody2><B>{$lang['tpl.fav.str4']}</B></td>
</tr>

<SCRIPT LANGUAGE="JavaScript">
<!--
function dvbbs_favlist_loop(url,topic,addtime,id){
document.write ('<tr>');
document.write ('<td class=tablebody1><a href="'+url+'" target=_blank>'+topic+'</a></td>');
document.write ('<td class=tablebody1>'+addtime+'</td>');
document.write ('<td class=tablebody1><a href="favlist.php?action=delet&id='+id+'"><img src="{$fav_del}" border=0></a></td>');
document.write ('</tr>');
}
//-->
</SCRIPT>
<!--
EOT;
if( !empty($arrFavList) && is_array($arrFavList) ):
	$colSpan = 3;
	$PageNum = $PageListNum;
	$redcolor = $lang['Dvbbs.mainsetting1'];
	$SearchStr = $GLOBALS['action'];
	foreach( $arrFavList as $val ):
		$topic = EncodeJS($val['topic']);
		$val[addtime] = gmdate('Y-m-d H:i:s', $val[addtime]+getUserTimeZoneOffset());
		print <<<EOT
-->
<script>dvbbs_favlist_loop('{$val[url]}','{$topic}','{$val[addtime]}',{$val['id']})</script>
<!--
EOT;
	endforeach;
	print <<<EOT
-->
<!--friendlist.asp##公共分页-->
<tr align="left"><td valign=middle colspan={$colSpan} class=tablebody1>
<table border=0 cellpadding=0 cellspacing=3 width="100%" align=center>
<tr><td valign=middle nowrap>
{$lang['tpl.fav.str5']}<b>{$CurrentPage}</b>/<b>{$Pcount}</b>{$lang['tpl.fav.str6']}&nbsp;
{$lang['tpl.fav.str7']}<b>{$PageNum}</b> {$lang['tpl.fav.str8']}<b>{$totalrec}</b>
</td>
<td valign=middle nowrap align=right>{$lang['tpl.fav.str9']}
<SCRIPT LANGUAGE="JavaScript">
<!--
var CurrentPage={$CurrentPage};
var Pcount={$Pcount};
var Endpage=0;
if (CurrentPage > 4){
	document.write ('<a href="?page=1&{$SearchStr}">[1]</a> ...');
}
if (Pcount>CurrentPage+3)
{
	Endpage=CurrentPage+3
}
else{
	Endpage=Pcount
}
for (var i=CurrentPage-3;i<=Endpage;i++)
{
	if (i>=1){
		if (i == CurrentPage)
		{
			document.write ('<font color="{$redcolor}">['+i+']</font>');
			}
		else{
			document.write ('<a href="?page='+i+'&{$SearchStr}">['+i+']</a>');
		}
	}
}
if (CurrentPage+3 < Pcount){ 
	document.write ('...<a href="?page='+Pcount+'&{$SearchStr}">['+Pcount+']</a>');
}
if (Endpage == 0){ 
	document.write ('...');
}
//-->
</SCRIPT>
</td></tr></table>
</td></tr>

<!--
EOT;
endif;
print <<<EOT
-->

</table></td></tr></table>

<!--
EOT;
endif;
?>--><br />
			</div>
		</span>
		</div>
	</div>
</div>
</form>
</td><tr>
</table>
<!---########################## end 右边样式部分##########################--->
</div>
<!--#include file="bottom.php"-->